(* uiView.ml     Wrapper for Cocoa Touch UIView
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv
    end

let () = Callback.register "UiView.wrap" (new t)

external beginAnimations'context' : string -> int -> unit =
    "UIView_beginAnimations_context_"

external commitAnimations : unit -> unit =
    "UIView_commitAnimations"

external setAnimationDuration' : float -> unit =
    "UIView_setAnimationDuration_"
