(* uiWindow.ml     Wrapper for Cocoa Touch UIWindow
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external _addSubview_ : nativeint -> nativeint -> unit =
    "UIWindow_addSubview_"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method addSubview' (v: UiButton.t) =
        _addSubview_ self#contents v#contents
    end

let () = Callback.register "UiWindow.wrap" (new t)
